org.eclipse.jgit.revwalk.filter

## Class OrRevFilter

- java.lang.Object
- - org.eclipse.jgit.revwalk.filter.RevFilter
  - - org.eclipse.jgit.revwalk.filter.OrRevFilter

    public abstract class OrRevFilter
    extends RevFilter

Includes a commit if any subfilters include the same commit.

Classic shortcut behavior is used, so evaluation of the `RevFilter.include(RevWalk, RevCommit)` method stops as soon as a true result is obtained. Applications can improve filtering performance by placing faster filters that are more likely to accept a result earlier in the list.

### Field Summary

### Fields inherited from class org.eclipse.jgit.revwalk.filter.RevFilter

`ALL, MERGE_BASE, NO_MERGES, NONE`

### Constructor Summary

Constructors
Constructor and Description
`OrRevFilter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static RevFilter` `create(Collection<RevFilter> list)` Create a filter around many filters, one of which must match.
`static RevFilter` `create(RevFilter[] list)` Create a filter around many filters, one of which must match.
`static RevFilter` `create(RevFilter a, RevFilter b)` Create a filter with two filters, one of which must match.

### Methods inherited from class org.eclipse.jgit.revwalk.filter.RevFilter

`clone, include, negate, requiresCommitBody, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OrRevFilter

    public OrRevFilter()

### Method Detail

#### create

    public static RevFilter create(RevFilter a,
                                   RevFilter b)

Create a filter with two filters, one of which must match.

Parameters:
  `a` - first filter to test.
  `b` - second filter to test.
Returns:
  a filter that must match at least one input filter.

#### create

    public static RevFilter create(RevFilter[] list)

Create a filter around many filters, one of which must match.

Parameters:
  `list` - list of filters to match against. Must contain at least 2 filters.
Returns:
  a filter that must match at least one input filter.

#### create

    public static RevFilter create(Collection<RevFilter> list)

Create a filter around many filters, one of which must match.

Parameters:
  `list` - list of filters to match against. Must contain at least 2 filters.
Returns:
  a filter that must match at least one input filter.